Friday, June 24, 2011

Greasemonkey 0.9.6 Release

Bug fixes:
  • GM_openInTab() fails in Firefox 3. (#1361)
  • Firefox 5: Error in Add-ons Manager. (#1367)
  • Add "get user scripts" link to the Add-ons Manager. (#1213)
  • Pass site cookies when downloading scripts. (#1359)
The entire list of bugs handled in this release is also available via the 0.9.6 milestone on GitHub. Note that as always it takes some time for Mozilla to review the new version, and it's available on the all versions page. If you are using it and notice problems, it's best to either let us know at greasemonkey-dev or log an issue (and be clear that it's with this version).


forteller said...

Thanks and congrats!

But I have a feature request: Could you please make Greasemonkey compatible with Firefox 7.0a1 soon? I've been using that for a long time now, and having to live without my dear userscripts is just killing me. :)

RottenSod said...

Where is 0.9.6?

I go to the download page and all I can seem to get is 0.9.5. Greasemonkey is just not working for me in Firefox 5!

B. McDonald said...

I just downloaded te latest update and now Battlefield is not working...or barely. It keeps stalling and is working at a snails pace.

What's going on? This has so screwed my play that I'm thinking of reinstalling earlier version.

Phoenix35 said...

0.9.6 can be found here

@forteller, you can make it on your own by going on "%APPDATA%/Mozilla/Firefox/Profiles/SOMECHARS.default/extensions/FIND_GREASEMONKEY/install.rdf" and change the maxVersion by 7.*

FIND_GREASEMONKEY by going on each folder, open its install.rdf and look at the name

Anonymous said...

Does anybody know where 0.9.6 is located?

It was announced a week ago but never released.

Phoenix35 said...

For 0.9.6, see my link above :

Anonymous said...

the userscript on the add-ons manager doesn't work, it displayed, even after i install couple userscript,

using firefox 6.0a2

Anonymous said...

Don't work in Firefox 5.0.